Subject: Re: What's cooking in git.git (Oct 2025, #03; Wed, 8)

From: Ben Knoble <[email-masked]>
Date: Thu, 9 Oct 2025 17:40:21 -0400

> Le 8 oct. 2025 à 20:18, Junio C Hamano <[email-masked]> a écrit :
> 
> * jc/optional-path (2025-09-28) 4 commits
>  (merged to 'next' on 2025-10-08 at a1e8af9952)
> + parseopt: values of pathname type can be prefixed with :(optional)
> + config: values of pathname type can be prefixed with :(optional)
> + t7500: fix GIT_EDITOR shell snippet
> + t7500: make each piece more independent
> 
> Configuration variables that take a pathname as a value
> (e.g. blame.ignorerevsfile) can be marked as optional by prefixing
> ":(optoinal)" before its value.
> 
> Will merge to 'master'.
> source: <[email-masked]>

I think we wanted a few cleanups on this one, which I haven’t had time to make. If all is good, then great!

While I’m here: I sent a new patch on top of dk/stash-apply-index with some more documentation. Looks like it’s been overlooked :) is there a better way for me to have sent that patch?